import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import { Attachment } from './bimplus-attachments.interface';
import * as WebSdk from 'bimplus-websdk';
import * as i0 from "@angular/core";
export declare class BimplusAttachmentsComponent extends BimplusLocalizedWidgetComponent implements AfterViewInit, OnDestroy {
    api: WebSdk.Api | null;
    /** Attribute for attachments which were saved to server. */
    attachments: Attachment[];
    closeIconTemplate?: TemplateRef<unknown>;
    /** Attribute to set if should button display or no. */
    listOnly: boolean;
    attachmentListRef: ElementRef<HTMLElement>;
    fileInput: ElementRef<HTMLInputElement>;
    deleteAttachment: EventEmitter<Attachment>;
    addAttachment: EventEmitter<File>;
    getAttachment: EventEmitter<Attachment>;
    private resizeObserver;
    /** Configuration token. */
    protected readonly config: import("./bimplus-attachments.interface").BimplusAttachmentsConfig | null;
    /** Attachments buttons. */
    protected readonly buttons: BimplusButtonRowItem[];
    /** Width size of file name line. */
    protected readonly attachmentListWidth: import("@angular/core").WritableSignal<number | undefined>;
    /**
     * Will open window to select File.
     * @return void
     * @public
     */
    open(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    protected onFileChanged(files: File[] | Event, inputElement?: HTMLInputElement): void;
    private createResizeObserver;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusAttachmentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusAttachmentsComponent, "lib-bimplus-attachments", never, { "api": { "alias": "api"; "required": false; }; "attachments": { "alias": "attachments"; "required": false; }; "closeIconTemplate": { "alias": "closeIconTemplate"; "required": false; }; "listOnly": { "alias": "listOnly"; "required": false; }; }, { "deleteAttachment": "deleteAttachment"; "addAttachment": "addAttachment"; "getAttachment": "getAttachment"; }, never, never, true, never>;
    static ngAcceptInputType_listOnly: unknown;
}
