import { InjectionToken } from '@angular/core';
import { BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
export type BimplusAttachmentsConfig = {
    buttons?: BimplusButtonRowItem[];
    hideDeleteAttachmentButton?: boolean;
    showNoAttachmentsFound?: boolean;
    hideAttachmentSize?: boolean;
};
export declare const BIMPLUS_ATTACHMENTS_CONFIG: InjectionToken<BimplusAttachmentsConfig>;
export interface IAttachment {
    id: string;
    fileName: string;
    size: number | undefined;
    file?: File;
}
export declare class Attachment implements Partial<IAttachment> {
    id: string;
    fileName: string;
    size: number | undefined;
    file?: File;
    constructor(data: Partial<IAttachment>);
}
type Builder = typeof AttachmentBuilder;
export declare abstract class AttachmentBuilder {
    private static attachment;
    static create(value: Attachment): Builder;
    static setId(id: string): Builder;
    static setFileName(name: string): Builder;
    static setSize(size: number): Builder;
    static setFile(file: File): Builder;
    static build(): Attachment;
}
export {};
