import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { Attachment } from '../../bimplus-attachments.interface';
import * as i0 from "@angular/core";
export declare class BimplusAttachmentItemComponent implements AfterViewInit, OnDestroy {
    closeIconTemplate?: TemplateRef<unknown>;
    attachmentSizeRef?: ElementRef<HTMLElement>;
    attachmentNameRef: ElementRef<HTMLElement>;
    attachment: Attachment;
    set parentWidth(value: number | undefined);
    deleteAttachment: EventEmitter<Attachment>;
    getAttachment: EventEmitter<Attachment>;
    get type(): string;
    private intersectionObserver?;
    /** Parent element width. */
    private readonly parentWidthSignal;
    /** Attachment size text width. */
    private readonly attachmentSizeWidth;
    /** Wheter name is fully visible or not based on parent width. */
    protected readonly nameIsFullyVisible: import("@angular/core").WritableSignal<boolean>;
    protected readonly config: import("../../bimplus-attachments.interface").BimplusAttachmentsConfig | null;
    /** Attribute to indicate if show/hide size of File. */
    protected readonly hideSize: boolean;
    /** Width size of file name line. */
    protected readonly nameInfoLineWidth: import("@angular/core").Signal<number>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private createIntersectionObserver;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusAttachmentItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusAttachmentItemComponent, "lib-bimplus-attachment-item", never, { "closeIconTemplate": { "alias": "closeIconTemplate"; "required": false; }; "attachment": { "alias": "attachment"; "required": true; }; "parentWidth": { "alias": "parentWidth"; "required": false; }; }, { "deleteAttachment": "deleteAttachment"; "getAttachment": "getAttachment"; }, never, never, true, never>;
}
