import { EventEmitter } from '@angular/core';
import * as WebSdk from "bimplus-websdk";
import { Attachment } from '../bimplus-attachments/bimplus-attachments.interface';
import { CommentOutputData } from '../bimplus-object-comments-list/bimplus-object-comments-list.interface';
import * as i0 from "@angular/core";
export declare class BimplusCommentComponent {
    outputActionCommentEvent: EventEmitter<CommentOutputData>;
    getAttachment: EventEmitter<Attachment>;
    private _message;
    api: WebSdk.Api | null;
    /** Attachments links to particular comment. */
    attachmentLinkItems: WebSdk.AttachmentLink[];
    set message(value: string | undefined);
    get message(): string | undefined;
    private _date;
    set date(value: string);
    get date(): string;
    private _action;
    set action(value: string);
    get action(): string;
    private _commentId;
    set commentId(value: string);
    get commentId(): string;
    private _isActUserAuthor;
    set isActUserAuthor(value: boolean);
    get isActUserAuthor(): boolean;
    private _displayname;
    set displayname(value: string);
    get displayname(): string;
    hyperlinks: WebSdk.Hyperlink[] | undefined;
    /** Attachments related to particular comment. */
    attachments: WebSdk.Attachment[];
    emitAction(data: CommentOutputData): void;
    close(): void;
    onKeyPress(event: KeyboardEvent): void;
    formatTime(date: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusCommentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusCommentComponent, "lib-bimplus-comment", never, { "api": { "alias": "api"; "required": false; }; "attachmentLinkItems": { "alias": "attachmentLinkItems"; "required": false; }; "message": { "alias": "message"; "required": false; }; "date": { "alias": "date"; "required": false; }; "action": { "alias": "action"; "required": false; }; "commentId": { "alias": "commentId"; "required": false; }; "isActUserAuthor": { "alias": "isActUserAuthor"; "required": false; }; "displayname": { "alias": "displayname"; "required": false; }; "hyperlinks": { "alias": "hyperlinks"; "required": false; }; "attachments": { "alias": "attachments"; "required": false; }; }, { "outputActionCommentEvent": "outputActionCommentEvent"; "getAttachment": "getAttachment"; }, never, never, true, never>;
}
