import { EventEmitter, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "../bimplus-localized-widget/bimplus-localized-widget.component";
import { BimplusButtonRowItem, BimplusButtonClickEvent } from "../bimplus-buttons-row/bimplus-buttons-row.interface";
import { ConnexisResultsRoot, ConnexisResultList, ConnexisResult } from './bimplus-connection-designer-results.interface';
import { BimplusConnectionDesignerService } from "../bimplus-connection-designer/bimplus-connection-designer.service";
import * as i0 from "@angular/core";
export declare class BimplusConnectionDesignerResultsComponent extends BimplusLocalizedWidgetComponent implements OnInit, OnChanges {
    protected connectionDesignerService: BimplusConnectionDesignerService;
    buttonRowItems: Array<BimplusButtonRowItem>;
    errorMessage: string;
    constructor(translateService: TranslateService, connectionDesignerService: BimplusConnectionDesignerService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    doneClicked: EventEmitter<void>;
    buttonClicked($event: BimplusButtonClickEvent): void;
    resultTreeRootTitle: string;
    resultTreeRootName: string;
    expandedTreeRoot: boolean;
    expandedResultTrees: boolean;
    results: ConnexisResultsRoot | null;
    toggleVisibilityResultsRoot: EventEmitter<ConnexisResultsRoot>;
    toggleVisibilityResultList: EventEmitter<ConnexisResultList>;
    toggleVisibilityResult: EventEmitter<ConnexisResult>;
    clickedResultsRoot: EventEmitter<ConnexisResultsRoot>;
    clickedResultList: EventEmitter<ConnexisResultList>;
    clickedResult: EventEmitter<ConnexisResult>;
    doubleClickedResultsRoot: EventEmitter<ConnexisResultsRoot>;
    doubleClickedResultList: EventEmitter<ConnexisResultList>;
    doubleClickedResult: EventEmitter<ConnexisResult>;
    mouseEnteredResult: EventEmitter<ConnexisResult>;
    mouseLeftResult: EventEmitter<ConnexisResult>;
    totalResults(): number;
    private statusMessage;
    private infoMessage;
    getTitle(result: ConnexisResult): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusConnectionDesignerResultsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusConnectionDesignerResultsComponent, "lib-bimplus-connection-designer-results", never, { "errorMessage": { "alias": "errorMessage"; "required": false; }; "resultTreeRootTitle": { "alias": "resultTreeRootTitle"; "required": false; }; "resultTreeRootName": { "alias": "resultTreeRootName"; "required": false; }; "expandedTreeRoot": { "alias": "expandedTreeRoot"; "required": false; }; "expandedResultTrees": { "alias": "expandedResultTrees"; "required": false; }; "results": { "alias": "results"; "required": false; }; }, { "doneClicked": "doneClicked"; "toggleVisibilityResultsRoot": "toggleVisibilityResultsRoot"; "toggleVisibilityResultList": "toggleVisibilityResultList"; "toggleVisibilityResult": "toggleVisibilityResult"; "clickedResultsRoot": "clickedResultsRoot"; "clickedResultList": "clickedResultList"; "clickedResult": "clickedResult"; "doubleClickedResultsRoot": "doubleClickedResultsRoot"; "doubleClickedResultList": "doubleClickedResultList"; "doubleClickedResult": "doubleClickedResult"; "mouseEnteredResult": "mouseEnteredResult"; "mouseLeftResult": "mouseLeftResult"; }, never, never, true, never>;
}
