import { EventEmitter, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusConnectionDesignerService } from "./bimplus-connection-designer.service";
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { BimplusButtonRowItem, BimplusButtonClickEvent } from "../bimplus-buttons-row/bimplus-buttons-row.interface";
import { DesignCode } from './bimplus-connection-designer.interface';
import * as i0 from "@angular/core";
export declare class BimplusConnectionDesignerComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    protected connectionDesignerService: BimplusConnectionDesignerService;
    buttonRowItems: Array<BimplusButtonRowItem>;
    config: Array<BimplusButtonRowItem>;
    constructor(translateService: TranslateService, connectionDesignerService: BimplusConnectionDesignerService);
    ngOnInit(): void;
    chooseCode: string;
    designCodes: Array<DesignCode>;
    currentDesignCode: DesignCode | null;
    designCodeChanged: EventEmitter<DesignCode | null>;
    set activeDesignCode(value: DesignCode | null);
    get activeDesignCode(): DesignCode | null;
    private _updateButtonState;
    private _calculationCanBeStarted;
    set calculationCanBeStarted(value: boolean);
    get calculationCanBeStarted(): boolean;
    startCalculationClicked: EventEmitter<void>;
    buttonClicked($event: BimplusButtonClickEvent): void;
    resetDesignCode(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusConnectionDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusConnectionDesignerComponent, "lib-bimplus-connection-designer", never, { "designCodes": { "alias": "designCodes"; "required": false; }; "currentDesignCode": { "alias": "currentDesignCode"; "required": false; }; "calculationCanBeStarted": { "alias": "calculationCanBeStarted"; "required": false; }; }, { "designCodeChanged": "designCodeChanged"; "startCalculationClicked": "startCalculationClicked"; }, never, ["lib-bimplus-connection-designer-results"], true, never>;
}
