import { ElementRef, OnInit, OnChanges, SimpleChange, EventEmitter, TemplateRef } from '@angular/core';
import { MatTreeFlatDataSource, MatTreeFlattener } from '@angular/material/tree';
import { FlatTreeControl } from '@angular/cdk/tree';
import { TreeNode, FlatNode, FlatTreeContextMenus } from './bimplus-flat-tree.interface';
import * as i0 from "@angular/core";
export declare class BimplusFlatTreeComponent implements OnInit, OnChanges {
    private readonly el;
    treeDataStringified: string | null;
    treeTitle: import("@angular/core").InputSignal<string | undefined>;
    paddingIndent: string;
    multiSelect: boolean;
    oneLevelMultiSelect: boolean;
    showFoldersIcons: boolean;
    showObjectsIcons: boolean;
    enableSelect: boolean;
    enableParentHighlighting: boolean;
    enableDragAndDrop: boolean;
    dataTestPrefix: string;
    contextMenus: FlatTreeContextMenus | null | undefined;
    constructor(el: ElementRef);
    hasCheckBox1: boolean;
    hasCheckBox2: boolean;
    get treeData(): Array<TreeNode>;
    set treeData(data: Array<TreeNode>);
    customNodeTemplate: import("@angular/core").InputSignal<TemplateRef<unknown> | null>;
    selectedNodes: EventEmitter<FlatNode[]>;
    checked1Nodes: EventEmitter<FlatNode[]>;
    checked2Nodes: EventEmitter<FlatNode[]>;
    private _selectionList;
    ngOnInit(): void;
    expandTree(): void;
    private _getNode;
    get_node(id: {
        id: string;
    } | string, getDOMElement?: boolean): TreeNode | Element | null;
    select_node(id: string, skipEvent?: boolean): void;
    reset_selection(): void;
    expand_node(id: string): void;
    is_expanded(id: string): boolean;
    is_selected(id: string): boolean | undefined;
    private _setNewData;
    private _changedTreeData;
    ngOnChanges(changes: {
        [propKey: string]: SimpleChange;
    }): void;
    private _transformer;
    protected _treeControl: FlatTreeControl<FlatNode, FlatNode>;
    protected _treeFlattener: MatTreeFlattener<TreeNode, FlatNode, FlatNode>;
    protected _dataSource: MatTreeFlatDataSource<TreeNode, FlatNode, FlatNode>;
    protected _isExpandable: (_: number, node: FlatNode) => boolean;
    protected _isCustomNodeType(node: FlatNode): boolean;
    protected _hasChildren(node: FlatNode): boolean;
    protected _descendantsAllSelected(node: FlatNode): boolean;
    protected _descendantsPartiallySelected(node: FlatNode): boolean;
    private _toggleDescendantsNodes;
    private _updateParentSelections;
    protected _toggleNode(event: Event, node: FlatNode): void;
    protected _isSelected(node: FlatNode): boolean;
    protected _toggleCheckBox1(event: Event, node: FlatNode): void;
    protected _toggleCheckBox2(event: Event, node: FlatNode): void;
    checkUndetermined(node: FlatNode, checkbox: number): void;
    protected _isUndetermined1(node: FlatNode): boolean;
    protected _isUndetermined2(node: FlatNode): boolean;
    protected _isChecked1(node: FlatNode): boolean;
    protected _isChecked2(node: FlatNode): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFlatTreeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFlatTreeComponent, "lib-bimplus-flat-tree", never, { "treeDataStringified": { "alias": "treeDataStringified"; "required": false; }; "treeTitle": { "alias": "treeTitle"; "required": false; "isSignal": true; }; "paddingIndent": { "alias": "paddingIndent"; "required": false; }; "multiSelect": { "alias": "multiSelect"; "required": false; }; "oneLevelMultiSelect": { "alias": "oneLevelMultiSelect"; "required": false; }; "showFoldersIcons": { "alias": "showFoldersIcons"; "required": false; }; "showObjectsIcons": { "alias": "showObjectsIcons"; "required": false; }; "enableSelect": { "alias": "enableSelect"; "required": false; }; "enableParentHighlighting": { "alias": "enableParentHighlighting"; "required": false; }; "enableDragAndDrop": { "alias": "enableDragAndDrop"; "required": false; }; "dataTestPrefix": { "alias": "dataTestPrefix"; "required": false; }; "contextMenus": { "alias": "contextMenus"; "required": false; }; "hasCheckBox1": { "alias": "hasCheckBox1"; "required": false; }; "hasCheckBox2": { "alias": "hasCheckBox2"; "required": false; }; "treeData": { "alias": "treeData"; "required": false; }; "customNodeTemplate": { "alias": "customNodeTemplate"; "required": false; "isSignal": true; }; }, { "selectedNodes": "selectedNodes"; "checked1Nodes": "checked1Nodes"; "checked2Nodes": "checked2Nodes"; }, never, never, true, never>;
    static ngAcceptInputType_multiSelect: unknown;
    static ngAcceptInputType_oneLevelMultiSelect: unknown;
    static ngAcceptInputType_showFoldersIcons: unknown;
    static ngAcceptInputType_showObjectsIcons: unknown;
    static ngAcceptInputType_enableSelect: unknown;
    static ngAcceptInputType_enableParentHighlighting: unknown;
    static ngAcceptInputType_enableDragAndDrop: unknown;
    static ngAcceptInputType_hasCheckBox1: unknown;
    static ngAcceptInputType_hasCheckBox2: unknown;
}
