import { EventEmitter, ElementRef, AfterViewChecked, AfterViewInit, ChangeDetectorRef, DestroyRef } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { FloatingBarItem } from '../bimplus-floating-bar/bimplus-floating-bar.interface';
import { ProjectNavigatorModel, ProjectNavigatorLayer, ProjectNavigatorProject } from '../project-models/project-models.interface';
import { LayoutManagerService } from '../../services/layout-manager.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarProjectNavigatorComponent extends BimplusLocalizedWidgetComponent implements AfterViewInit, AfterViewChecked {
    private readonly layoutManagerService;
    private readonly element;
    private readonly cdr;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService, element: ElementRef, cdr: ChangeDetectorRef);
    private hasViewChecked;
    noBody: boolean;
    isCollapsed: boolean;
    noModelsMessage: string | undefined;
    isLoading: boolean;
    loadingDataMessage: string | undefined;
    icon: string;
    title: string;
    componentId: string;
    items: Array<FloatingBarItem>;
    actionClicked: EventEmitter<string>;
    isPanelToolbarVisible: boolean;
    expandedModelTree: boolean;
    project: ProjectNavigatorProject;
    clickedModel: EventEmitter<ProjectNavigatorModel>;
    clickedLayer: EventEmitter<ProjectNavigatorLayer>;
    toggleOpacityOfModel: EventEmitter<ProjectNavigatorModel>;
    toggleOpacityOfLayer: EventEmitter<ProjectNavigatorLayer>;
    toggleVisibilityOfModel: EventEmitter<ProjectNavigatorModel>;
    toggleVisibilityOfLayer: EventEmitter<ProjectNavigatorLayer>;
    logoClicked: EventEmitter<MouseEvent>;
    destroyRef: DestroyRef;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarProjectNavigatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarProjectNavigatorComponent, "lib-bimplus-floating-bar-project-navigator", never, { "noBody": { "alias": "noBody"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "noModelsMessage": { "alias": "noModelsMessage"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; "loadingDataMessage": { "alias": "loadingDataMessage"; "required": false; }; "items": { "alias": "items"; "required": false; }; "isPanelToolbarVisible": { "alias": "isPanelToolbarVisible"; "required": false; }; "expandedModelTree": { "alias": "expandedModelTree"; "required": false; }; "project": { "alias": "project"; "required": false; }; }, { "actionClicked": "actionClicked"; "clickedModel": "clickedModel"; "clickedLayer": "clickedLayer"; "toggleOpacityOfModel": "toggleOpacityOfModel"; "toggleOpacityOfLayer": "toggleOpacityOfLayer"; "toggleVisibilityOfModel": "toggleVisibilityOfModel"; "toggleVisibilityOfLayer": "toggleVisibilityOfLayer"; "logoClicked": "logoClicked"; }, never, never, true, never>;
}
