import { ElementRef, AfterViewChecked, ChangeDetectorRef, OnInit, OnDestroy, AfterViewInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { LayoutManagerService } from '../../services/layout-manager.service';
import { ResizeObserverService } from '../../services/resize-observer.service';
import * as i0 from "@angular/core";
export declare class BimplusFloatingBarComponent extends BimplusLocalizedWidgetComponent implements OnInit, OnDestroy, AfterViewChecked, AfterViewInit {
    private layoutManagerService;
    private element;
    private cdr;
    private resizeObserverService;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService, element: ElementRef, cdr: ChangeDetectorRef, resizeObserverService: ResizeObserverService);
    noBody: boolean;
    isFocused: boolean;
    resizeEnabled: boolean;
    autoCollapse: boolean;
    focusSelector: string;
    isVisible: boolean;
    id: string;
    private subscription;
    private hasViewChecked;
    isCollapsed: boolean;
    get canNotResize(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    handleParentAppRectSizeChange(parentRect: DOMRect | undefined): void;
    onResizedEnd(): void;
    onDragEnd(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusFloatingBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusFloatingBarComponent, "lib-bimplus-floating-bar", never, { "noBody": { "alias": "noBody"; "required": false; }; "isFocused": { "alias": "isFocused"; "required": false; }; "resizeEnabled": { "alias": "resizeEnabled"; "required": false; }; "autoCollapse": { "alias": "autoCollapse"; "required": false; }; "focusSelector": { "alias": "focusSelector"; "required": false; }; "isVisible": { "alias": "isVisible"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, {}, never, [".floating-bar-header-logo", ".floating-bar-header-content", ".floating-bar-dragger", ".floating-bar-body"], true, never>;
}
