import { ApplicationRef, ComponentRef, EnvironmentInjector, Type } from '@angular/core';
import { IDialogInputData, IDialogOptions } from './bimplus-general-dialog-config-settings';
import { Subject } from 'rxjs';
import { BimportalGeneralOverlayDialogComponent } from './bimplus-general-overlay-dialog.component';
import * as i0 from "@angular/core";
export declare class DialogService {
    private readonly appRef;
    private readonly injector;
    generalDialogComponentBody: ComponentRef<unknown>;
    generalDialog: ComponentRef<BimportalGeneralOverlayDialogComponent>;
    private _isDialogOpen;
    inputData: unknown;
    private readonly outputData;
    options: IDialogOptions | undefined;
    constructor(appRef: ApplicationRef, injector: EnvironmentInjector);
    open(componentBody: Type<unknown>, data: IDialogInputData): void;
    initializeSettings(data: IDialogInputData): void;
    createComponentsRef(componentBody: Type<unknown>): void;
    close(outputData?: unknown): void;
    resetSettings(): void;
    isDialogOpened(): boolean;
    setOutputData(data: unknown): void;
    getOutputData(): Subject<unknown>;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DialogService>;
}
