import { OnInit, EventEmitter, ElementRef } from '@angular/core';
import { ControlValueAccessor } from "@angular/forms";
import { MatDatepickerInputEvent } from '@angular/material/datepicker';
import * as i0 from "@angular/core";
export declare const MY_DATE_FORMATS: {
    parse: {
        dateInput: string;
    };
    display: {
        dateInput: string;
        monthYearLabel: string;
        dateA11yLabel: string;
        monthYearA11yLabel: string;
    };
};
export declare class BimplusInputDateComponent implements ControlValueAccessor, OnInit {
    inputDateBox: ElementRef;
    value: string;
    dateValue: Date | null;
    isDisabled: boolean;
    enterKeyPressed: EventEmitter<void>;
    protected _showClearButton: import("@angular/core").WritableSignal<boolean>;
    set showClearButton(show_clear_button: boolean);
    protected _validValue: import("@angular/core").WritableSignal<boolean>;
    set validValue(valid_value: boolean);
    minValue: string;
    maxValue: string;
    constructor();
    onChange: (value: string) => void;
    onTouched: () => void;
    writeValue(value: string): void;
    registerOnChange(fn: (value: string) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    private readonly STYLE_ID;
    private injectGlobalStyles;
    ngOnInit(): void;
    protected _clearValue(event: Event): void;
    protected _showDatePicker(event: Event): void;
    protected handleKeyDown(event: KeyboardEvent): void;
    onDateChanged(event: MatDatepickerInputEvent<Date>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusInputDateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusInputDateComponent, "lib-bimplus-input-date", never, { "showClearButton": { "alias": "showClearButton"; "required": false; }; "validValue": { "alias": "validValue"; "required": false; }; "minValue": { "alias": "minValue"; "required": false; }; "maxValue": { "alias": "maxValue"; "required": false; }; }, { "enterKeyPressed": "enterKeyPressed"; }, never, never, true, never>;
    static ngAcceptInputType_showClearButton: unknown;
    static ngAcceptInputType_validValue: unknown;
}
