import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { MenuListType } from '../../types/types';
import * as i0 from "@angular/core";
export interface BimplusMainMenuComponentAttribute {
    [key: string]: unknown;
}
export declare class BimplusMainMenuComponent extends BimplusLocalizedWidgetComponent implements OnChanges {
    constructor(translateService: TranslateService);
    isEmbedded: boolean;
    isTouch: boolean;
    isIpadApp: boolean;
    isDev: boolean;
    isStage: boolean;
    hideProjectMenuIcons: boolean;
    showHorizontalMenuIcons: boolean;
    projectName: string;
    projectImageUrl: string;
    projectExplorerUrl: string;
    projectActiveItem: string;
    projectmembersDisabled: boolean;
    modelsDisabled: boolean;
    documentsDisabled: boolean;
    projectsettingsDisabled: boolean;
    processesDisabled: boolean;
    footerActiveItem: string;
    menuActiveItem: string;
    isCollapsed: boolean;
    showOverlay: boolean;
    teammembersSubscribed: boolean;
    propertymanagerSubscribed: boolean;
    autoconverterSubscribed: boolean;
    connexisSubscribed: boolean;
    openProjectDisabled: boolean;
    bimexplorerDisabled: boolean;
    autoconverterDisabled: boolean;
    connexisDisabled: boolean;
    teammembersDisabled: boolean;
    propertymanagerDisabled: boolean;
    shopDisabled: boolean;
    addinsDisabled: boolean;
    openProjectVisible: boolean;
    bimplusProjectMenuVisible: boolean;
    projectmembersVisible: boolean;
    modelsVisible: boolean;
    documentsVisible: boolean;
    projectsettingsVisible: boolean;
    processesVisible: boolean;
    bimexplorerVisible: boolean;
    autoconverterVisible: boolean;
    connexisVisible: boolean;
    teammembersVisible: boolean;
    propertymanagerVisible: boolean;
    shopVisible: boolean;
    addinsVisible: boolean;
    dividerprojectmanagementVisible: boolean;
    dividerappsVisible: boolean;
    getYourTeamVisible: boolean;
    tryBimplusProVisible: boolean;
    appsWithInfo: string[];
    appsOrder: string[];
    menuItemsOrder: string[];
    bimplusMainMenuClicked: EventEmitter<{
        action: string;
        type: string;
    }>;
    bimplusMainMenuOverlayClicked: EventEmitter<void>;
    ngOnChanges(changes: SimpleChanges): void;
    get apps(): MenuListType[];
    get footerList(): MenuListType[];
    /**--------------------------------------------------------------------------
    * check if app is subscribed
    --------------------------------------------------------------------------*/
    _isSubscribed(item: MenuListType): boolean;
    /**--------------------------------------------------------------------------
    * check if app is clickable
    --------------------------------------------------------------------------*/
    _isClickable(item: MenuListType): boolean;
    /**--------------------------------------------------------------------------
    * check if app is subscribed/visible
    --------------------------------------------------------------------------*/
    _isHidden(item: MenuListType): boolean;
    /**--------------------------------------------------------------------------
    * check if app is disabled
    --------------------------------------------------------------------------*/
    _isDisabled(item: MenuListType): boolean;
    _getContextData(item: MenuListType, active: boolean, disabled: boolean, clickable: boolean, selected: boolean): {
        item: MenuListType;
        active: boolean;
        disabled: boolean;
        clickable: boolean;
        selected: boolean;
        showInfoIcon: boolean;
    };
    _openPrjBtn: MenuListType;
    contextData: {
        item: string;
        active: boolean;
        disabled: boolean;
        clickable: boolean;
        selected: boolean;
    };
    appsList: MenuListType[];
    _menuFooterList: MenuListType[];
    _overlayClicked(): void;
    _mainMenuItemClicked(item: MenuListType, type: string, event: Event | undefined): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusMainMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusMainMenuComponent, "lib-bimplus-main-menu", never, { "isEmbedded": { "alias": "isEmbedded"; "required": false; }; "isTouch": { "alias": "isTouch"; "required": false; }; "isIpadApp": { "alias": "isIpadApp"; "required": false; }; "isDev": { "alias": "isDev"; "required": false; }; "isStage": { "alias": "isStage"; "required": false; }; "hideProjectMenuIcons": { "alias": "hideProjectMenuIcons"; "required": false; }; "showHorizontalMenuIcons": { "alias": "showHorizontalMenuIcons"; "required": false; }; "projectName": { "alias": "projectName"; "required": false; }; "projectImageUrl": { "alias": "projectImageUrl"; "required": false; }; "projectExplorerUrl": { "alias": "projectExplorerUrl"; "required": false; }; "projectActiveItem": { "alias": "projectActiveItem"; "required": false; }; "projectmembersDisabled": { "alias": "projectmembersDisabled"; "required": false; }; "modelsDisabled": { "alias": "modelsDisabled"; "required": false; }; "documentsDisabled": { "alias": "documentsDisabled"; "required": false; }; "projectsettingsDisabled": { "alias": "projectsettingsDisabled"; "required": false; }; "processesDisabled": { "alias": "processesDisabled"; "required": false; }; "footerActiveItem": { "alias": "footerActiveItem"; "required": false; }; "menuActiveItem": { "alias": "menuActiveItem"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "showOverlay": { "alias": "showOverlay"; "required": false; }; "teammembersSubscribed": { "alias": "teammembersSubscribed"; "required": false; }; "propertymanagerSubscribed": { "alias": "propertymanagerSubscribed"; "required": false; }; "autoconverterSubscribed": { "alias": "autoconverterSubscribed"; "required": false; }; "connexisSubscribed": { "alias": "connexisSubscribed"; "required": false; }; "openProjectDisabled": { "alias": "openProjectDisabled"; "required": false; }; "bimexplorerDisabled": { "alias": "bimexplorerDisabled"; "required": false; }; "autoconverterDisabled": { "alias": "autoconverterDisabled"; "required": false; }; "connexisDisabled": { "alias": "connexisDisabled"; "required": false; }; "teammembersDisabled": { "alias": "teammembersDisabled"; "required": false; }; "propertymanagerDisabled": { "alias": "propertymanagerDisabled"; "required": false; }; "shopDisabled": { "alias": "shopDisabled"; "required": false; }; "addinsDisabled": { "alias": "addinsDisabled"; "required": false; }; "openProjectVisible": { "alias": "openProjectVisible"; "required": false; }; "bimplusProjectMenuVisible": { "alias": "bimplusProjectMenuVisible"; "required": false; }; "projectmembersVisible": { "alias": "projectmembersVisible"; "required": false; }; "modelsVisible": { "alias": "modelsVisible"; "required": false; }; "documentsVisible": { "alias": "documentsVisible"; "required": false; }; "projectsettingsVisible": { "alias": "projectsettingsVisible"; "required": false; }; "processesVisible": { "alias": "processesVisible"; "required": false; }; "bimexplorerVisible": { "alias": "bimexplorerVisible"; "required": false; }; "autoconverterVisible": { "alias": "autoconverterVisible"; "required": false; }; "connexisVisible": { "alias": "connexisVisible"; "required": false; }; "teammembersVisible": { "alias": "teammembersVisible"; "required": false; }; "propertymanagerVisible": { "alias": "propertymanagerVisible"; "required": false; }; "shopVisible": { "alias": "shopVisible"; "required": false; }; "addinsVisible": { "alias": "addinsVisible"; "required": false; }; "dividerprojectmanagementVisible": { "alias": "dividerprojectmanagementVisible"; "required": false; }; "dividerappsVisible": { "alias": "dividerappsVisible"; "required": false; }; "getYourTeamVisible": { "alias": "getYourTeamVisible"; "required": false; }; "tryBimplusProVisible": { "alias": "tryBimplusProVisible"; "required": false; }; "appsWithInfo": { "alias": "appsWithInfo"; "required": false; }; "appsOrder": { "alias": "appsOrder"; "required": false; }; "menuItemsOrder": { "alias": "menuItemsOrder"; "required": false; }; }, { "bimplusMainMenuClicked": "bimplusMainMenuClicked"; "bimplusMainMenuOverlayClicked": "bimplusMainMenuOverlayClicked"; }, never, never, true, never>;
    static ngAcceptInputType_isEmbedded: unknown;
    static ngAcceptInputType_isTouch: unknown;
    static ngAcceptInputType_isIpadApp: unknown;
    static ngAcceptInputType_isDev: unknown;
    static ngAcceptInputType_isStage: unknown;
    static ngAcceptInputType_hideProjectMenuIcons: unknown;
    static ngAcceptInputType_showHorizontalMenuIcons: unknown;
    static ngAcceptInputType_projectmembersDisabled: unknown;
    static ngAcceptInputType_modelsDisabled: unknown;
    static ngAcceptInputType_documentsDisabled: unknown;
    static ngAcceptInputType_projectsettingsDisabled: unknown;
    static ngAcceptInputType_processesDisabled: unknown;
    static ngAcceptInputType_isCollapsed: unknown;
    static ngAcceptInputType_showOverlay: unknown;
    static ngAcceptInputType_teammembersSubscribed: unknown;
    static ngAcceptInputType_propertymanagerSubscribed: unknown;
    static ngAcceptInputType_autoconverterSubscribed: unknown;
    static ngAcceptInputType_connexisSubscribed: unknown;
    static ngAcceptInputType_openProjectDisabled: unknown;
    static ngAcceptInputType_bimexplorerDisabled: unknown;
    static ngAcceptInputType_autoconverterDisabled: unknown;
    static ngAcceptInputType_connexisDisabled: unknown;
    static ngAcceptInputType_teammembersDisabled: unknown;
    static ngAcceptInputType_propertymanagerDisabled: unknown;
    static ngAcceptInputType_shopDisabled: unknown;
    static ngAcceptInputType_addinsDisabled: unknown;
    static ngAcceptInputType_openProjectVisible: unknown;
    static ngAcceptInputType_bimplusProjectMenuVisible: unknown;
    static ngAcceptInputType_projectmembersVisible: unknown;
    static ngAcceptInputType_modelsVisible: unknown;
    static ngAcceptInputType_documentsVisible: unknown;
    static ngAcceptInputType_projectsettingsVisible: unknown;
    static ngAcceptInputType_processesVisible: unknown;
    static ngAcceptInputType_bimexplorerVisible: unknown;
    static ngAcceptInputType_autoconverterVisible: unknown;
    static ngAcceptInputType_connexisVisible: unknown;
    static ngAcceptInputType_teammembersVisible: unknown;
    static ngAcceptInputType_propertymanagerVisible: unknown;
    static ngAcceptInputType_shopVisible: unknown;
    static ngAcceptInputType_addinsVisible: unknown;
    static ngAcceptInputType_dividerprojectmanagementVisible: unknown;
    static ngAcceptInputType_dividerappsVisible: unknown;
    static ngAcceptInputType_getYourTeamVisible: unknown;
    static ngAcceptInputType_tryBimplusProVisible: unknown;
}
