import { EventEmitter, OnChanges, SimpleChanges, OnInit } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import * as i0 from "@angular/core";
interface MessageModel {
    'id': string | undefined;
    'type': string | undefined;
    'title': string | undefined;
    'text': string | undefined;
    'link': string | undefined;
    'linkText': string | string[] | undefined;
    'links': string[] | undefined;
    'actionId': number | undefined;
    'capitalizedTitle': string | boolean | undefined;
}
export declare class BimplusNotifyComponent extends BimplusLocalizedWidgetComponent implements OnChanges, OnInit {
    constructor(translateService: TranslateService);
    Array: ArrayConstructor;
    get newMessages(): boolean;
    get bimNotify(): boolean;
    /**--------------------------------------------------------------------------
    * List of messages
    --------------------------------------------------------------------------*/
    _messagesList: MessageModel[];
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    messagePreviewTime: number;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    showMessagePreview: boolean;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    previewMessagesLimit: number;
    /**--------------------------------------------------------------------------
    * offset of preview messages from main icon
    --------------------------------------------------------------------------*/
    previewMessagesOffsetY: string;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    messages: string;
    ngOnChanges(changes: SimpleChanges): void;
    updateMessages(newValue: string): void;
    /**--------------------------------------------------------------------------
    * States
    --------------------------------------------------------------------------*/
    _menuOpened: boolean;
    _alertActive: boolean;
    _oldMessagesList: MessageModel[];
    _previewMessagesList: MessageModel[];
    /**--------------------------------------------------------------------------
    * Delete item event
    --------------------------------------------------------------------------*/
    bimplusNotifyDeleteMessage: EventEmitter<string>;
    /**--------------------------------------------------------------------------
    * Delete all item event
    --------------------------------------------------------------------------*/
    bimplusNotifyDeleteAllMessages: EventEmitter<string>;
    /**--------------------------------------------------------------------------
    * Message action event
    --------------------------------------------------------------------------*/
    bimplusNotifyMessageAction: EventEmitter<string>;
    /**--------------------------------------------------------------------------
    * initial component load
    --------------------------------------------------------------------------*/
    ngOnInit(): void;
    /**--------------------------------------------------------------------------
    * close single message
    --------------------------------------------------------------------------*/
    _closeMessage(item: MessageModel, preview: boolean, event: Event | undefined): void;
    /**--------------------------------------------------------------------------
    * close preview message
    --------------------------------------------------------------------------*/
    _closePreviewMessage(msgId: string | undefined, closedByUser?: boolean): void;
    /**--------------------------------------------------------------------------
    * close all messages
    --------------------------------------------------------------------------*/
    _deleteAllMessages(): void;
    /**--------------------------------------------------------------------------
    * message clicked
    --------------------------------------------------------------------------*/
    _messageAction(item: MessageModel, index: number): void;
    /**--------------------------------------------------------------------------
    * toggle menu open
    --------------------------------------------------------------------------*/
    _toggleOpened(): void;
    _messageNotReadYet(message: MessageModel): boolean;
    storeMessagesAsRead(messageList: string[]): void;
    clearAllLocalStorageMessages(): void;
    /**--------------------------------------------------------------------------
    * get item link title
    --------------------------------------------------------------------------*/
    _getItemLinkTitle(item: MessageModel, index: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusNotifyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusNotifyComponent, "lib-bimplus-notify", never, { "messagePreviewTime": { "alias": "messagePreviewTime"; "required": false; }; "showMessagePreview": { "alias": "showMessagePreview"; "required": false; }; "previewMessagesLimit": { "alias": "previewMessagesLimit"; "required": false; }; "previewMessagesOffsetY": { "alias": "previewMessagesOffsetY"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; }, { "bimplusNotifyDeleteMessage": "bimplusNotifyDeleteMessage"; "bimplusNotifyDeleteAllMessages": "bimplusNotifyDeleteAllMessages"; "bimplusNotifyMessageAction": "bimplusNotifyMessageAction"; }, never, never, true, never>;
    static ngAcceptInputType_showMessagePreview: unknown;
}
export {};
