import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { DatePipe } from '@angular/common';
import { DialogService } from '../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service';
import * as WebSdk from "bimplus-websdk";
import { BimplusButtonClickEvent, BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { CommentOutputData, IDialogConfirmClose } from './bimplus-object-comments-list.interface';
import { FormBuilder, FormGroup } from "@angular/forms";
import { BimplusAttachmentsService } from '../bimplus-attachments/services/bimplus-attachments.service';
import { Attachment } from '../bimplus-attachments/bimplus-attachments.interface';
import { BehaviorSubject } from 'rxjs';
import { BimplusObjectCommentsListService } from './bimplus-object-comments-list.service';
import { ProjectNavigatorProject } from '../project-models/project-models.interface';
import { BimplusStatusBarService } from '../bimplus-status-bar/bimplus-status-bar.service';
import { NewAttachInfo } from './bimplus-object-comments-list.interface';
import * as i0 from "@angular/core";
export declare class BimplusObjectCommentsListComponent extends BimplusLocalizedWidgetComponent implements OnInit, OnChanges {
    private readonly dialogService;
    private readonly datePipe;
    private readonly formBuilder;
    protected readonly bimplusAttachmentsService: BimplusAttachmentsService;
    private readonly bimplusObjectCommentsListService;
    private statusBarService;
    hyperlinkForm: FormGroup;
    api: WebSdk.Api | null;
    project: ProjectNavigatorProject | null;
    wormholeSelector: string;
    env: string;
    attachmentLinkItems: WebSdk.AttachmentLink[];
    inputBaseUrl: string;
    protected readonly commentsList$: BehaviorSubject<WebSdk.CommentResponse[]>;
    protected readonly loading: import("@angular/core").WritableSignal<boolean>;
    protected readonly attachmentsState: import("@angular/core").WritableSignal<Attachment[]>;
    buttonRowItems: BimplusButtonRowItem[];
    hyperlinkButtonRowItems: BimplusButtonRowItem[];
    textAreaValue: string | null;
    lastShownDate: string;
    placeholder: string;
    name: string;
    readonly: boolean;
    autoResizeTextarea: boolean;
    minRows: number;
    maxRows: number;
    clearValue: boolean;
    statusBarTitleMessage: any;
    newAttachmentIDs: string[];
    isAddingHyperlink: boolean;
    newCommentAttachments: NewAttachInfo[];
    private _rootObjectId;
    private _userId;
    set rootObjectId(id: string);
    get rootObjectId(): string;
    set userId(id: string);
    get userId(): string;
    constructor(dialogService: DialogService, translateService: TranslateService, datePipe: DatePipe, formBuilder: FormBuilder, bimplusAttachmentsService: BimplusAttachmentsService, bimplusObjectCommentsListService: BimplusObjectCommentsListService, statusBarService: BimplusStatusBarService);
    isCreateButtonDisabled(): boolean;
    checkCreateButtonState(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    protected onAttachmentsLinkChange(newAttachments: NewAttachInfo[]): void;
    protected onAddAttachment(file: File): void;
    protected onDeleteAttachment(attachment: Attachment): void;
    /** Event on click attachment. */
    protected onGetAttachment(attachment: Attachment): void;
    onTextareaValueChange(value: string): void;
    handleActionCommentEvent(event: CommentOutputData): void;
    actionDialogClose(data: IDialogConfirmClose): void;
    openDialogDeleteComment(commentId: string): void;
    isSameDate(date?: string): boolean;
    buttonRowButtonClicked($event: BimplusButtonClickEvent): void;
    hyperlinkButtonRowButtonClicked($event: BimplusButtonClickEvent): void;
    addNewCommentHyperlink(): void;
    deleteComment(commentId: string): void;
    addHyperlinkIconClicked(): void;
    addHyperlinkIconKeypress(event: KeyboardEvent): void;
    removeNewCommentAttachment(link: NewAttachInfo): void;
    removeNewCommentAttachmentKeypress(event: KeyboardEvent, link: NewAttachInfo): void;
    isActUserAuthor(item: WebSdk.CommentResponse): boolean;
    displayName(item: WebSdk.CommentResponse): string;
    formatDate(date: string): string;
    clearTextareaValue(): boolean;
    private loadComments;
    private getHyperlinks;
    onEnterKeyPressedInHyperlinkForm(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusObjectCommentsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusObjectCommentsListComponent, "lib-bimplus-object-comments-list", never, { "api": { "alias": "api"; "required": true; }; "project": { "alias": "project"; "required": false; }; "wormholeSelector": { "alias": "wormholeSelector"; "required": false; }; "env": { "alias": "env"; "required": false; }; "attachmentLinkItems": { "alias": "attachmentLinkItems"; "required": false; }; "inputBaseUrl": { "alias": "inputBaseUrl"; "required": false; }; "rootObjectId": { "alias": "rootObjectId"; "required": false; }; "userId": { "alias": "userId"; "required": false; }; }, {}, never, never, true, never>;
}
