import { EventEmitter, OnInit } from '@angular/core';
import * as WebSdk from 'bimplus-websdk';
import { BehaviorSubject } from 'rxjs';
import { FilterCriteriaSelectionMode, FilterCriterium, FilterType } from './bimplus-object-navigator.interface';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { TranslateService } from '@ngx-translate/core';
import { ObjectFilterResultComponent } from './object-filter-result/object-filter-result.component';
import { BimplusContextMenuItem } from '../bimplus-context-menu/bimplus-context-menu.interface';
import * as i0 from "@angular/core";
export declare class BimplusObjectNavigatorComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    constructor(translateService: TranslateService);
    objectFilterResult: ObjectFilterResultComponent | null;
    hideFilterContextMenu: boolean;
    filterContextMenu: Array<BimplusContextMenuItem>;
    set filterTypes(types: Array<FilterType>);
    get filterTypes(): Array<FilterType>;
    set activeFilterType(value: FilterType | null);
    get activeFilterType(): FilterType | null;
    activeFilterTypeSubject$: BehaviorSubject<FilterType | null>;
    activeFilterSubject$: BehaviorSubject<WebSdk.ObjectFilter | null>;
    set activeFilter(filter: WebSdk.ObjectFilter | null);
    get activeFilter(): WebSdk.ObjectFilter | null;
    filters: WebSdk.ObjectFiltersResponse | null;
    filterCriteria: FilterCriterium[];
    filterCriteriaChanged: boolean;
    maxFilterCriteria: number;
    api: WebSdk.Api | null;
    projectId: string;
    objNavClassClass: boolean;
    filterCriteriaSelectionMode$: BehaviorSubject<FilterCriteriaSelectionMode>;
    filterCriteriaSelectionModeChanged: EventEmitter<FilterCriteriaSelectionMode>;
    selectedObjectId: string | null;
    selectedRevision: number | undefined;
    selectedObjects: string[];
    selectionObject: WebSdk.ExportObject | null;
    get filterResult(): WebSdk.ObjectFilterStructureResponse | null;
    filterResultObjectSelectionChanged: EventEmitter<string[]>;
    filterResultObjectDoubleClicked: EventEmitter<string>;
    filterResultObjectMouseEntered: EventEmitter<string>;
    filterResultObjectMouseLeft: EventEmitter<string>;
    pipetteActiveStatus: EventEmitter<boolean>;
    FilterCriteriaSelectionMode: typeof FilterCriteriaSelectionMode;
    isLoadingResults: boolean;
    filterResultInvalidated: boolean;
    private _filterResult;
    private _filterTypes;
    ngOnInit(): void;
    loadCurrentLayerFilters(projectId: string, layerId: string): import("rxjs").Observable<WebSdk.ObjectFiltersResponse> | undefined;
    parseFilterString(filter: WebSdk.ObjectFilter): FilterCriterium[];
    deleteFilterCriterium(index: number): void;
    setFilterCriteriaSelectionMode(mode: FilterCriteriaSelectionMode): void;
    applyFilterDisabled(): boolean;
    applyFilter(): void;
    handleFilterResultSelectionChanged(selection: string[]): void;
    handleFilterResultObjectDoubleClicked(selection: string): void;
    handleFilterResultObjectMouseEntered(selection: string): void;
    handleFilterResultObjectMouseLeft(selection: string): void;
    handlePipetteActiveStatus(status: boolean): void;
    filterCriteriaWasChanged(): void;
    activateModifiedCustomFilter(): void;
    private _applySelectionObjectFilter;
    private _setDefaultCustomFilterString;
    private _createDefaultCustomFilter;
    private _applyCustomOrStoredFilter;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusObjectNavigatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusObjectNavigatorComponent, "lib-bimplus-object-navigator", never, { "hideFilterContextMenu": { "alias": "hideFilterContextMenu"; "required": false; }; "filterContextMenu": { "alias": "filterContextMenu"; "required": false; }; "filterTypes": { "alias": "filterTypes"; "required": false; }; "filters": { "alias": "filters"; "required": false; }; "api": { "alias": "api"; "required": false; }; "projectId": { "alias": "projectId"; "required": false; }; "selectedObjectId": { "alias": "selectedObjectId"; "required": false; }; "selectedRevision": { "alias": "selectedRevision"; "required": false; }; "selectedObjects": { "alias": "selectedObjects"; "required": false; }; "selectionObject": { "alias": "selectionObject"; "required": false; }; }, { "filterCriteriaSelectionModeChanged": "filterCriteriaSelectionModeChanged"; "filterResultObjectSelectionChanged": "filterResultObjectSelectionChanged"; "filterResultObjectDoubleClicked": "filterResultObjectDoubleClicked"; "filterResultObjectMouseEntered": "filterResultObjectMouseEntered"; "filterResultObjectMouseLeft": "filterResultObjectMouseLeft"; "pipetteActiveStatus": "pipetteActiveStatus"; }, never, never, true, never>;
}
