import { EventEmitter, OnInit } from '@angular/core';
import * as WebSdk from 'bimplus-websdk';
import { BimplusLocalizedWidgetComponent } from '../../bimplus-localized-widget/bimplus-localized-widget.component';
import { TranslateService } from '@ngx-translate/core';
import { FilterCriterium } from '../bimplus-object-navigator.interface';
import { ObjectStructureNode } from '../../bimplus-object-structure/bimplus-object-structure.interface';
import { ComplexPropertiesNode } from '../../bimplus-object-complex-properties/bimplus-object-complex-properties.interface';
import { CriteriaSelectObjectAttribute, CriteriaSelectObjectAttributeGroup } from './criteria-select-object-properties.interface';
import { FormatValuePipe } from '../../../pipes/format-value.pipe';
import { DateTimePipe } from '../../../pipes/datetime.pipe';
import * as i0 from "@angular/core";
export declare class CriteriaSelectObjectPropertiesComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    private formatValuePipe;
    private datetimePipe;
    constructor(translateService: TranslateService, formatValuePipe: FormatValuePipe, datetimePipe: DateTimePipe);
    ngOnInit(): void;
    api: WebSdk.Api | null;
    set rootObjectId(id: string);
    get rootObjectId(): string;
    revision: number | undefined;
    private readonly _currentObjectId$;
    private readonly _currentPropertiesObjectId$;
    objectAttributeGroups: CriteriaSelectObjectAttributeGroup[];
    MaxFilterCriteria: number;
    private _rootObjectId;
    set filterCriteria(criteria: FilterCriterium[]);
    filterCriteriaChange: EventEmitter<FilterCriterium[]>;
    get filterCriteria(): FilterCriterium[];
    private _filterCriteria;
    private _objectStructure;
    get objectStructure(): ObjectStructureNode | null;
    private _complexProperties;
    get complexProperties(): ComplexPropertiesNode | null;
    toggleAttribute(attrib: CriteriaSelectObjectAttribute): void;
    toggleAttributeValue(attrib: CriteriaSelectObjectAttribute): void;
    _defineFilterString(attrib: CriteriaSelectObjectAttribute): string;
    _addFilterCriteria(attrib: CriteriaSelectObjectAttribute): void;
    _updateFilterCriteria(attrib: CriteriaSelectObjectAttribute, index: number): void;
    private roundToDecimal;
    titleForAttribute(attribute: CriteriaSelectObjectAttribute): string;
    normalizedValue(attribute: CriteriaSelectObjectAttribute, forFilterCriteria?: boolean): string;
    handleFilterCriteriumAttributeStateChange(attrib: CriteriaSelectObjectAttribute): void;
    handleObjectStructureNodeSelected(node: ObjectStructureNode): void;
    handleComplexPropertyNodeSelected(node: ComplexPropertiesNode): void;
    private _createObjectProperties;
    private _createAttributeGroupsFromResponse;
    private _syncAttributeStatesFromCriteria;
    private _loadObjectProperties;
    private _loadObjectStructure;
    private _loadObjectComplexPropertiesStructure;
    private _createComplexPropertiestructure;
    private _createObjectStructure;
    static ɵfac: i0.ɵɵFactoryDeclaration<CriteriaSelectObjectPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CriteriaSelectObjectPropertiesComponent, "lib-criteria-select-object-properties", never, { "api": { "alias": "api"; "required": false; }; "rootObjectId": { "alias": "rootObjectId"; "required": false; }; "revision": { "alias": "revision"; "required": false; }; "filterCriteria": { "alias": "filterCriteria"; "required": false; }; }, { "filterCriteriaChange": "filterCriteriaChange"; }, never, never, true, never>;
}
