import { AfterViewInit, EventEmitter } from '@angular/core';
import { BimplusFlatTreeComponent } from '../../bimplus-flat-tree/bimplus-flat-tree.component';
import { FlatNode, TreeNode } from '../../bimplus-flat-tree/bimplus-flat-tree.interface';
import * as WebSdk from 'bimplus-websdk';
import * as i0 from "@angular/core";
export declare class ObjectFilterResultComponent implements AfterViewInit {
    treeComponent: BimplusFlatTreeComponent | null;
    set filterResult(res: WebSdk.ObjectFilterStructureResponse | null);
    set selectedObjects(selectedObjects: string[]);
    isFilterResultInvalid: import("@angular/core").ModelSignal<boolean>;
    setFilterResultValid(): void;
    filterResultInvalidTitle: string;
    filterResultInvalidText: string;
    get treeData(): TreeNode[];
    nodeSelectionChanged: EventEmitter<string[]>;
    nodeDoubleClicked: EventEmitter<string>;
    nodeMouseEntered: EventEmitter<string>;
    nodeMouseLeft: EventEmitter<string>;
    ngAfterViewInit(): void;
    handleSelectedNodes(nodes: FlatNode[]): void;
    getNodeObjectCounter(id: string): number;
    dblClickedObjectNode(node: TreeNode): void;
    mouseEnterObjectNode(node: TreeNode): void;
    mouseLeaveObjectNode(node: TreeNode): void;
    expandToObjectLevel(): void;
    clearFilterResult(): void;
    private _filterResult;
    private _treeData;
    private _treeNodesLookup;
    private _treeNodeObjectCounts;
    private _selectedObjects;
    private _syncSelectedObjects;
    private _updateObjectCounters;
    private _countObjects;
    private _updateTreeData;
    private _convertFilterResultToTreeNode;
    private _expandToObjectLevel;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectFilterResultComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectFilterResultComponent, "lib-object-filter-result", never, { "filterResult": { "alias": "filterResult"; "required": false; }; "selectedObjects": { "alias": "selectedObjects"; "required": false; }; "isFilterResultInvalid": { "alias": "isFilterResultInvalid"; "required": false; "isSignal": true; }; "filterResultInvalidTitle": { "alias": "filterResultInvalidTitle"; "required": false; }; "filterResultInvalidText": { "alias": "filterResultInvalidText"; "required": false; }; }, { "isFilterResultInvalid": "isFilterResultInvalidChange"; "nodeSelectionChanged": "nodeSelectionChanged"; "nodeDoubleClicked": "nodeDoubleClicked"; "nodeMouseEntered": "nodeMouseEntered"; "nodeMouseLeft": "nodeMouseLeft"; }, never, never, true, never>;
}
