import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { MenuListType } from '../../types/types';
import * as i0 from "@angular/core";
export interface BimplusProjectMenuComponentAttribute {
    [key: string]: unknown;
}
export declare class BimplusProjectMenuComponent extends BimplusLocalizedWidgetComponent {
    constructor(translateService: TranslateService);
    projectName: string;
    projectImageUrl: string;
    projectExplorerUrl: string;
    projectActiveItem: string;
    projectmembersDisabled: boolean;
    modelsDisabled: boolean;
    documentsDisabled: boolean;
    projectsettingsDisabled: boolean;
    processesDisabled: boolean;
    projectmembersVisible: boolean;
    modelsVisible: boolean;
    documentsVisible: boolean;
    projectsettingsVisible: boolean;
    processesVisible: boolean;
    isCollapsed: boolean;
    isMiniMode: boolean;
    isTouch: boolean;
    hideMenuIcons: boolean;
    showHorizontalMenuIcons: boolean;
    menuItemsOrder: string[];
    get prjImgUrl(): string;
    get backgroundValue(): string;
    get prjImageOverlayStyle(): {
        background: string;
    };
    get prjImageStyle(): {
        background: string;
    };
    /**--------------------------------------------------------------------------
    * List of menu items
    * Note : action is used to identify action which should be executed
    * and also it serves as info topic id
    --------------------------------------------------------------------------*/
    _menuPrjList: MenuListType[];
    get menuItems(): MenuListType[];
    /**--------------------------------------------------------------------------
    * check if app is subscribed/visible
    --------------------------------------------------------------------------*/
    _isHidden(item: MenuListType): boolean;
    /**--------------------------------------------------------------------------
      * check if app is subscribed/visible
      --------------------------------------------------------------------------*/
    _isDisabled(item: MenuListType): boolean;
    _projectMenuItemClicked(action: string, param: string): void;
    /**--------------------------------------------------------------------------
  *  item clicked
  --------------------------------------------------------------------------*/
    _menuItemClicked(item: MenuListType, type: string, event: Event): void;
    _menuItemIgnoreAction(event: Event): void;
    _getPrjItemClassAttributes(item: MenuListType, isTouch: boolean): string;
    _getPrjIconClassAttributes(item: MenuListType): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusProjectMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusProjectMenuComponent, "lib-bimplus-project-menu", never, { "projectName": { "alias": "projectName"; "required": false; }; "projectImageUrl": { "alias": "projectImageUrl"; "required": false; }; "projectExplorerUrl": { "alias": "projectExplorerUrl"; "required": false; }; "projectActiveItem": { "alias": "projectActiveItem"; "required": false; }; "projectmembersDisabled": { "alias": "projectmembersDisabled"; "required": false; }; "modelsDisabled": { "alias": "modelsDisabled"; "required": false; }; "documentsDisabled": { "alias": "documentsDisabled"; "required": false; }; "projectsettingsDisabled": { "alias": "projectsettingsDisabled"; "required": false; }; "processesDisabled": { "alias": "processesDisabled"; "required": false; }; "projectmembersVisible": { "alias": "projectmembersVisible"; "required": false; }; "modelsVisible": { "alias": "modelsVisible"; "required": false; }; "documentsVisible": { "alias": "documentsVisible"; "required": false; }; "projectsettingsVisible": { "alias": "projectsettingsVisible"; "required": false; }; "processesVisible": { "alias": "processesVisible"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "isMiniMode": { "alias": "isMiniMode"; "required": false; }; "isTouch": { "alias": "isTouch"; "required": false; }; "hideMenuIcons": { "alias": "hideMenuIcons"; "required": false; }; "showHorizontalMenuIcons": { "alias": "showHorizontalMenuIcons"; "required": false; }; "menuItemsOrder": { "alias": "menuItemsOrder"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_projectmembersDisabled: unknown;
    static ngAcceptInputType_modelsDisabled: unknown;
    static ngAcceptInputType_documentsDisabled: unknown;
    static ngAcceptInputType_projectsettingsDisabled: unknown;
    static ngAcceptInputType_processesDisabled: unknown;
    static ngAcceptInputType_projectmembersVisible: unknown;
    static ngAcceptInputType_modelsVisible: unknown;
    static ngAcceptInputType_documentsVisible: unknown;
    static ngAcceptInputType_projectsettingsVisible: unknown;
    static ngAcceptInputType_processesVisible: unknown;
    static ngAcceptInputType_isCollapsed: unknown;
    static ngAcceptInputType_isMiniMode: unknown;
    static ngAcceptInputType_isTouch: unknown;
    static ngAcceptInputType_hideMenuIcons: unknown;
    static ngAcceptInputType_showHorizontalMenuIcons: unknown;
}
