import { EventEmitter, OnInit } from '@angular/core';
import { BimplusTabsSwitcherService } from '../../services/bimplus-tabs-switcher.service';
import { BimplusTabComponentModel, BimplusTabsSwitcherConfig } from '../../bimplus-tabs-switcher.interface';
import * as i0 from "@angular/core";
export declare class BimplusTabComponent implements OnInit {
    private readonly bimplusTabsSwitcherConfig;
    protected readonly bimplusTabsSwitcherService: BimplusTabsSwitcherService;
    bimplusTabComponentModel: BimplusTabComponentModel;
    imageBaseSrc?: string | null;
    /** Currently active tab. */
    set activeTab(value: string | undefined);
    activeTabChange: EventEmitter<string>;
    /** Attribute indicating active tab. */
    protected readonly activeTabSignal: import("@angular/core").Signal<string | undefined>;
    /** Indicate that tab is active or not. */
    protected readonly isActive: import("@angular/core").Signal<boolean>;
    /** Indicate that tab is disabled or not. */
    protected readonly isDisabled: import("@angular/core").WritableSignal<boolean>;
    /** Computed property for image file name based on active/default state. */
    protected readonly imgName: import("@angular/core").Signal<string>;
    protected readonly onHoverOver: import("@angular/core").WritableSignal<boolean>;
    /** Whether all tabs is disabled based on configuration token. */
    private readonly isAllDisabled;
    constructor(bimplusTabsSwitcherConfig: BimplusTabsSwitcherConfig, bimplusTabsSwitcherService: BimplusTabsSwitcherService);
    protected onMouseEnter(): void;
    protected onMouseLeave(): void;
    ngOnInit(): void;
    /**
     * Will update active tab to service state.
     * @protected
     * @returns void
     */
    protected activate(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTabComponent, [{ optional: true; }, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusTabComponent, "lib-bimplus-tab", never, { "bimplusTabComponentModel": { "alias": "bimplusTabComponentModel"; "required": true; }; "imageBaseSrc": { "alias": "imageBaseSrc"; "required": false; }; "activeTab": { "alias": "activeTab"; "required": false; }; }, { "activeTabChange": "activeTabChange"; }, never, never, true, never>;
}
