import { EventEmitter, ElementRef, OnInit, AfterViewInit } from '@angular/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import { TranslateService } from '@ngx-translate/core';
import { ToolHubItem, ToolHubSubItem, ToolHubItemUnits, ToolHubItemStates } from './bimplus-tool-hub.interface';
import { LayoutManagerService } from '../../services/layout-manager.service';
import { ResizeObserverService } from '../../services/resize-observer.service';
import * as i0 from "@angular/core";
export declare class BimplusToolHubComponent extends BimplusLocalizedWidgetComponent implements OnInit, AfterViewInit {
    private layoutManagerService;
    private resizeObserverService;
    private element;
    constructor(translateService: TranslateService, layoutManagerService: LayoutManagerService, resizeObserverService: ResizeObserverService, element: ElementRef);
    get itemStates(): Array<ToolHubItemStates>;
    set itemStates(value: Array<ToolHubItemStates>);
    setItemStates(itemStates: Array<ToolHubItemStates>): void;
    get items(): Array<ToolHubItem>;
    set items(value: Array<ToolHubItem>);
    get activeSubItems(): Array<ToolHubSubItem> | null;
    get isCollapsed(): boolean;
    set isCollapsed(value: boolean);
    get isPerspectiveProjection(): boolean;
    set isPerspectiveProjection(value: boolean);
    get units(): ToolHubItemUnits;
    get subMenuUnits(): ToolHubItemUnits;
    get annularSector(): string;
    get annularSectorBorder(): string;
    get deadZoneAnnularSector(): string;
    isEmbedded: boolean;
    isFocused: boolean;
    isActive: boolean;
    itemClicked: EventEmitter<string>;
    subItemClicked: EventEmitter<string>;
    private componentId;
    private subscription;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    getSVGViewBox(): string;
    getSVGCenterMenuPath(): string;
    getSVGCenterMenuItemPath(): string;
    getSVGCenterSubMenuItemPath(): string;
    toggleMenu(): void;
    findToolHubItemById(id: string): ToolHubItem | undefined;
    clickToolHubItem(action: string): void;
    clickToolHubSubItem(action: string): void;
    toggleToolHubItemActive(buttonId: string): void;
    toggleSubItemsView(buttonId: string): void;
    toggleCameraProjection(buttonId: string): void;
    closeActiveSubItemsView(): void;
    setHoveredState(element: string, hovered: boolean): void;
    private getSelector;
    dragElement(event: [number, number]): void;
    onDragEnd(): void;
    private _isCollapsed;
    private _itemStates;
    private _items;
    private _activeSubItemsView;
    private _activeSubItems;
    private _isPerspectiveProjection;
    private _visualSettings;
    private _units;
    private _subMenuUnits;
    private _annularSector;
    private _annularSectorBorder;
    private _deadZoneAnnularSector;
    private _hoveredElements;
    private calculateCurrentMenuItemUnits;
    private calculateCurrentSubMenuItemUnits;
    private handleParentAppRectSizeChange;
    private _oneOrMoreItemsActive;
    private _updateActivationState;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusToolHubComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusToolHubComponent, "lib-bimplus-tool-hub", never, { "itemStates": { "alias": "itemStates"; "required": false; }; "items": { "alias": "items"; "required": false; }; "isCollapsed": { "alias": "isCollapsed"; "required": false; }; "isPerspectiveProjection": { "alias": "isPerspectiveProjection"; "required": false; }; "isEmbedded": { "alias": "isEmbedded"; "required": false; }; "isFocused": { "alias": "isFocused"; "required": false; }; "isActive": { "alias": "isActive"; "required": false; }; }, { "itemClicked": "itemClicked"; "subItemClicked": "subItemClicked"; }, never, never, true, never>;
    static ngAcceptInputType_isCollapsed: unknown;
    static ngAcceptInputType_isPerspectiveProjection: unknown;
    static ngAcceptInputType_isEmbedded: unknown;
    static ngAcceptInputType_isFocused: unknown;
    static ngAcceptInputType_isActive: unknown;
}
