export interface ToolHubSubItem {
    buttonId: string;
    type: string;
    iconClass: string;
    text: string;
    tooltip: string;
    tooltipDisabled: string;
    actionClick: string;
}
export interface ToolHubItem {
    buttonId: string;
    iconClass: string;
    text: string;
    tooltip: string;
    tooltipDisabled: string;
    subMenuId?: string;
    subItems?: Array<ToolHubSubItem>;
    active?: boolean;
    disabled?: boolean;
}
export interface ToolHubItemStates {
    buttonId: string;
    active?: boolean;
    disabled?: boolean;
}
export interface ToolHubVisualSettings {
    subMenuStartAngle: number;
    subMenuEndAngle: number;
    svgRadiusInner: number;
    svgRadius: number;
    subMenuCenter: [number, number];
    subMenuRadius: number;
    subMenuWidth: number;
    deadZoneCenter: [number, number];
    deadZoneWidth: number;
    deadZoneRadius: number;
    deadZoneStartAngle: number;
    deadZoneEndAngle: number;
}
export interface ToolHubItemUnits {
    radius: number;
    radiusInner: number;
    width: number;
    thick: number;
    innerEdgeRight: number;
    leftX: number;
    leftY: number;
    rightX: number;
    rightY: number;
}
