import { ToolHubVisualSettings, ToolHubItemUnits } from './bimplus-tool-hub.interface';
export declare class SVGGenerator {
    /**
     * @param  {Array.<Number>} center
     * @param  {Number} R
     * @param  {Number} angle
     * @return {Array.<Number>}
     */
    static pointOnArc(center: [number, number], R: number, angle: number): [number, number];
    /**
     * Generates arc path
     *
     * @param  {Array.<Number>} center
     * @param  {Number}         radius
     * @param  {Number}         start
     * @param  {Number}         end
     * @param  {Number}         width
     * @param  {Number}         corner Corner radius
     * @param  {Number}         canvasWidth - Divisor to have svg with range 0 to 1
     *
     * @return {String|Array.<Number|String>}
     */
    static arc(center: [number, number], radius: number, start: number, end: number, width: number, corner: number, canvasWidth: number): string;
    static drawMenuItemSvg(svgRadius: number, svgRadiusInner: number, buttonsLength: number, isEMEmbedded: boolean): ToolHubItemUnits;
    static generateAnnularSector(settings: ToolHubVisualSettings): string;
    static generateAnnularSectorBorder(settings: ToolHubVisualSettings): string;
    static generateDeadZoneAnnularSector(settings: ToolHubVisualSettings): string;
    static getSVGViewBox(units: ToolHubItemUnits): string;
    static getSVGCenterMenuPath(units: ToolHubItemUnits): string;
    static getSVGCenterMenuItemPath(units: ToolHubItemUnits): string;
    static getSVGCenterSubMenuItemPath(subMenuUnits: ToolHubItemUnits): string;
}
