import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { BimplusLocalizedWidgetComponent } from "./../bimplus-localized-widget/bimplus-localized-widget.component";
import * as i0 from "@angular/core";
export declare class BimplusTouchMenuComponent extends BimplusLocalizedWidgetComponent implements OnChanges {
    constructor(translateService: TranslateService);
    /**--------------------------------------------------------------------------
    * List of menu items
    * Note : action is used to identify action which should be executed
    --------------------------------------------------------------------------*/
    _menuItemsList: {
        mode: string;
        class: string;
        textId: string;
    }[];
    get _selectedItem(): {
        mode: string;
        class: string;
        textId: string;
    } | undefined;
    /**--------------------------------------------------------------------------
    * States
    --------------------------------------------------------------------------*/
    _menuOpened: boolean;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    isTouch: boolean;
    /**--------------------------------------------------------------------------
    * properties
    --------------------------------------------------------------------------*/
    selectedMode: string;
    /**--------------------------------------------------------------------------
    * Zoom selected event
    --------------------------------------------------------------------------*/
    bimplusTouchModeSelected: EventEmitter<string>;
    ngOnChanges(changes: SimpleChanges): void;
    /**--------------------------------------------------------------------------
    * Item clicked
    --------------------------------------------------------------------------*/
    _menuItemClicked(mode: string): void;
    /**--------------------------------------------------------------------------
    * toggle menu open
    --------------------------------------------------------------------------*/
    _toggleOpened(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BimplusTouchMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BimplusTouchMenuComponent, "lib-bimplus-touch-menu", never, { "isTouch": { "alias": "isTouch"; "required": false; }; "selectedMode": { "alias": "selectedMode"; "required": false; }; }, { "bimplusTouchModeSelected": "bimplusTouchModeSelected"; }, never, never, true, never>;
    static ngAcceptInputType_isTouch: unknown;
}
