import { OnInit, Renderer2, ElementRef, OnDestroy, EventEmitter } from '@angular/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { TranslateService } from '@ngx-translate/core';
import * as WebSdk from 'bimplus-websdk';
import { ProjectNavigatorProject } from '../project-models/project-models.interface';
import { BimplusButtonClickEvent, BimplusButtonRowItem } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import { DialogService } from "../bimplus-general-overlay-dialog/bimplus-general-overlay-dialog.service";
import { NewAttachInfo } from '../bimplus-object-comments-list/bimplus-object-comments-list.interface';
import { DecoratorsService } from '../../services/decorators.service';
import * as i0 from "@angular/core";
export declare const EMBEDDED_MODAL_DIALOGE_TYPE_FILE = "file";
export declare const postAttachmentLinks: (newAttachmentIDs: string[], objectId: string, api: WebSdk.Api) => import("rxjs").Observable<WebSdk.AttachmentLinksResponse>;
export declare class LinksToDocumentsComponent extends BimplusLocalizedWidgetComponent implements OnInit, OnDestroy {
    private readonly dialogService;
    private readonly renderer;
    private readonly el;
    private readonly decorators;
    constructor(translateService: TranslateService, dialogService: DialogService, renderer: Renderer2, el: ElementRef, decorators: DecoratorsService);
    private readonly shadowRootElement;
    private _rootObjectId;
    isDestroyed: boolean;
    localWormHole: boolean;
    inProgress: boolean;
    api: WebSdk.Api | null;
    canCreateAttachmentLink: boolean;
    /** Input Attribute to specify if should show only list of attachments. */
    listOnly: boolean;
    /** Input Attribute to specify if should show message when no attachments found. */
    showEmptyMessage: boolean;
    /** Input Attribute to tell if show/hide attachemt size information. */
    hideAttachmentSize: boolean;
    inputBaseUrl: string;
    _attachments: WebSdk.AttachmentLink[];
    set attachments(value: WebSdk.AttachmentLink[]);
    get attachments(): WebSdk.AttachmentLink[];
    onAttachmentsChange(): void;
    attachmentsChange: EventEmitter<string[]>;
    attachmentsLinkChange: EventEmitter<NewAttachInfo[]>;
    canDeleteAttachmentLink: boolean;
    project: ProjectNavigatorProject | null;
    wormholeSelector: string | undefined;
    env: string;
    set rootObjectId(id: string | undefined);
    get rootObjectId(): string;
    private readonly _currentObjectId$;
    _attachmentCount: number;
    buttonRowItems: Array<BimplusButtonRowItem>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private decorateAttachmentId;
    private decorateAttachmentLinks;
    private _createAttachmentLinkStructure;
    private _loadAttachmentLinkStructure;
    documentSelection: string[] | null;
    isOpened: boolean;
    embeddedModalContainer: string;
    setModalVisibility(opened?: boolean): void;
    closeEmbeddedModalFileSelection(): void;
    _addLink(api: WebSdk.Api, ids: string[]): void;
    createAttachmentLink(api: WebSdk.Api): void;
    _deleteAttachmentLink(api: WebSdk.Api, id: string, $event: Event): void;
    deleteAttachmentLink(attachment: WebSdk.AttachmentLink, $event: Event): void;
    buttonClicked($event: BimplusButtonClickEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinksToDocumentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinksToDocumentsComponent, "lib-links-to-documents", never, { "api": { "alias": "api"; "required": true; }; "canCreateAttachmentLink": { "alias": "canCreateAttachmentLink"; "required": false; }; "listOnly": { "alias": "listOnly"; "required": false; }; "showEmptyMessage": { "alias": "showEmptyMessage"; "required": false; }; "hideAttachmentSize": { "alias": "hideAttachmentSize"; "required": false; }; "inputBaseUrl": { "alias": "inputBaseUrl"; "required": false; }; "attachments": { "alias": "attachments"; "required": false; }; "canDeleteAttachmentLink": { "alias": "canDeleteAttachmentLink"; "required": false; }; "project": { "alias": "project"; "required": false; }; "wormholeSelector": { "alias": "wormholeSelector"; "required": false; }; "env": { "alias": "env"; "required": false; }; "rootObjectId": { "alias": "rootObjectId"; "required": false; }; }, { "attachmentsChange": "attachmentsChange"; "attachmentsLinkChange": "attachmentsLinkChange"; }, never, never, true, never>;
    static ngAcceptInputType_listOnly: unknown;
    static ngAcceptInputType_showEmptyMessage: unknown;
    static ngAcceptInputType_hideAttachmentSize: unknown;
}
