import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import * as Renderer from 'bimplus-renderer';
import * as WebSdk from "bimplus-websdk";
import { PreviewObject } from './object-preview.interface';
import * as i0 from "@angular/core";
export declare class ObjectPreviewComponent implements AfterViewInit, OnDestroy {
    private readonly el;
    private resizeObserver;
    viewport: Renderer.Viewport3D | null;
    isLoading: boolean;
    previousWidth: number;
    previousHeight: number;
    resizeTimeout: number | undefined;
    rendererViewportElement: ElementRef;
    api: WebSdk.Api | null;
    set objectId(id: string);
    get objectId(): string | undefined;
    private _objectId;
    revision: number | undefined;
    set visibleNode(value: PreviewObject);
    set opaqueNode(value: PreviewObject);
    private contentLoader;
    private isRendererInitialized;
    constructor(el: ElementRef);
    processVisibilityNode(node: PreviewObject): void;
    processOpacityNode(node: PreviewObject): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    recalculatePreviewSize(): void;
    metricUnits: Renderer.MeasurementUnits;
    imperialUnits: Renderer.MeasurementUnits;
    viewportSettings: Renderer.ViewportSettings;
    units: {
        Metric: Renderer.MeasurementUnits;
        Imperial: Renderer.MeasurementUnits;
    };
    setAmbientOcclusionOptions(): void;
    setBackgroundOptions(): void;
    setHoverOption(useHoverEffect?: boolean): void;
    initRenderer(): void;
    private onObjectIdChanged;
    private loadObject;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectPreviewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectPreviewComponent, "lib-object-preview", never, { "api": { "alias": "api"; "required": false; }; "objectId": { "alias": "objectId"; "required": false; }; "revision": { "alias": "revision"; "required": false; }; "visibleNode": { "alias": "visibleNode"; "required": false; }; "opaqueNode": { "alias": "opaqueNode"; "required": false; }; }, {}, never, never, true, never>;
}
