import { OnInit, WritableSignal, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { BimplusLocalizedWidgetComponent } from '../bimplus-localized-widget/bimplus-localized-widget.component';
import { TranslateService } from '@ngx-translate/core';
import { ObjectStructureNode } from '../bimplus-object-structure/bimplus-object-structure.interface';
import { PreviewObject } from '../object-preview/object-preview.interface';
import * as WebSdk from 'bimplus-websdk';
import { ComplexPropertiesNode } from '../bimplus-object-complex-properties/bimplus-object-complex-properties.interface';
import { ObjectAttributeGroup } from './object-properties.interface';
import { BimplusButtonRowItem, BimplusButtonClickEvent } from '../bimplus-buttons-row/bimplus-buttons-row.interface';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ObjectPropertiesService } from './object-properties.service';
import * as i0 from "@angular/core";
export declare class ObjectPropertiesComponent extends BimplusLocalizedWidgetComponent implements OnInit {
    private readonly formBuilder;
    private readonly cdr;
    private readonly objectPropertiesService;
    protected _objectPropertiesForm: FormGroup<{}>;
    protected _objectPropertiesGroupForm(group_name: string): FormGroup;
    constructor(translateService: TranslateService, formBuilder: FormBuilder, cdr: ChangeDetectorRef, objectPropertiesService: ObjectPropertiesService);
    protected _editMode: WritableSignal<boolean>;
    private _objectStructure;
    get objectStructure(): ObjectStructureNode | null;
    private _complexProperties;
    get complexProperties(): ComplexPropertiesNode | null;
    api: WebSdk.Api | null;
    revision: number | undefined;
    protected _canUpdateObject: WritableSignal<boolean>;
    set canUpdateObject(canUpdateObject: boolean);
    private _rootObjectId;
    set rootObjectId(id: string);
    get rootObjectId(): string;
    private readonly isSaveButtonDisabled$;
    protected readonly visibleNodeSignal: WritableSignal<PreviewObject>;
    protected readonly opaqueNodeSignal: WritableSignal<PreviewObject>;
    private readonly _currentObjectId$;
    private readonly _currentPropertiesObjectId$;
    buttonRowItems: Array<BimplusButtonRowItem>;
    configEditProperties: Array<BimplusButtonRowItem>;
    configEditedProperties: Array<BimplusButtonRowItem>;
    updatedObjectProperties: EventEmitter<{
        [key: string]: unknown;
    }>;
    _editPropertiesButtonsConfiguration(): void;
    _editedPropertiesButtonsConfiguration(): void;
    ngOnInit(): void;
    subscribeProperties(): void;
    handleObjectStructureNodeSelected(node: ObjectStructureNode): void;
    handleObjectStructureNodeVisible(node: ObjectStructureNode): void;
    handleObjectStructureNodeOpaque(node: ObjectStructureNode): void;
    handleComplexPropertyNodeSelected(node: ComplexPropertiesNode): void;
    private _loadObjectStructure;
    private _createObjectStructure;
    private _loadObjectComplexPropertiesStructure;
    private _createComplexPropertiestructure;
    protected objectAttributeGroups: WritableSignal<ObjectAttributeGroup[]>;
    private _loadObjectProperties;
    private _createObjectProperties;
    private _tooltip;
    private _createAttributeGroupsFromResponse;
    _deleteForm(): void;
    private initialFormValues;
    _createForm(): void;
    private _getPropertyName;
    private _getPropertyType;
    private _getPropertyControl;
    private _convertValueToBoolean;
    private _convertValueToDouble;
    private _hasBeenValueChanged;
    private _getChangedData;
    private _saveObjectProperties;
    private _cancelEditingProperties;
    protected buttonClicked($event: BimplusButtonClickEvent): void;
    hasSetAnyAttribute(objectAttributeGroup: ObjectAttributeGroup): boolean;
    protected saveObjectProperties(data: {
        [key: string]: unknown;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ObjectPropertiesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ObjectPropertiesComponent, "lib-object-properties", never, { "api": { "alias": "api"; "required": false; }; "revision": { "alias": "revision"; "required": false; }; "canUpdateObject": { "alias": "canUpdateObject"; "required": false; }; "rootObjectId": { "alias": "rootObjectId"; "required": false; }; }, { "updatedObjectProperties": "updatedObjectProperties"; }, never, never, true, never>;
}
