import * as WebSdk from 'bimplus-websdk';
import { OpacityProperties } from './../../interfaces/bimplus-opacity-properties.interface';
import { VisibilityProperties } from './../../interfaces/bimplus-visibility-properties.interface';
export interface ProjectNavigatorProject {
    id: WebSdk.ProjectId;
    name: string;
    teamSlug: string;
    models: Array<ProjectNavigatorModel>;
}
export interface ProjectNavigatorModel extends VisibilityProperties, OpacityProperties {
    id: WebSdk.ModelId;
    name: string;
    currentRevision: number;
    latestRevision: number;
    isExpanded: boolean;
    divisionTopologyId: WebSdk.DivisionTopologyId;
    layers: Array<ProjectNavigatorLayer> | null;
    parentProject?: ProjectNavigatorProject | null;
}
export interface ProjectNavigatorLayer extends VisibilityProperties, OpacityProperties {
    id: WebSdk.Guid;
    name: string;
    opacity: number;
    userOpacity: number | null;
    parentModel?: ProjectNavigatorModel | null;
}
