export interface BimPlusObject {
    [key: string]: (dataDetail: {
        detail: unknown;
    }) => void;
}
export interface Source {
    [key: string]: {
        emit: (arg0: unknown) => void;
    };
}
/**--------------------------------------------------------------------------
* fire event from component in two ways :
  - fire custom event from component in standard recommended way via. this.eventName.emit function
  
  - call window.BimPlus.eventName function directly on window object (eventName is name
    of the event we want to fire e.g. bimplusNavbarClicked so it will be window.BimPlus.bimplusNavbarClicked).
    Function must be defined in app. where we are using our components.
    This was implemented because MS Edge browser has problems with custom events and in some
    situations(e.g. after file download) it stops handling custom events.
    Disadvantage is that we can have only one event handler which is shared between the multiple components.
--------------------------------------------------------------------------*/
export declare function fireEvent(source: unknown, eventName: string, data?: unknown): void;
